<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class UnidadeMedidaFactory {
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function getUnidadeMedida() {
        $sql = "SELECT NRUNIDADEMEDIDA, NMUNIDADEMEDIDA
                  FROM FCM_UNIDADEMEDIDA";
        
        $std = $this->connection->prepare($sql);
        $std->execute();
        return $std->fetchAll();
    }
}

?>